\ProvidesPackage{theorems}
\usepackage{amsmath}
\usepackage{amsthm}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{amsopn}
\usepackage{amsthm}
\usepackage{cleveref}
%define fitting styles
\newtheoremstyle{generalpurposetheorem}
{1em} % Space above
{.5em} % Space below
{} % Body font
{} % Indent amount
{\bfseries} % Theorem head font
{.} % Punctuation after theorem head
{.5em} % Space after theorem head
{} % Theorem head spec (can be left empty, meaning `normal')

\newtheoremstyle{generalpurposedef}
{1em}
{.5em}
{}
{}
{\bfseries}
{.}
{.5em}
{}
%------
%use for theorems and such
\theoremstyle{generalpurposetheorem}
\newtheorem{thm}{Theorem}[lecture]
\newtheorem*{nthm}{Theorem}
\crefname{thm}{theorem}{theorem}
\newtheorem{lem}[thm]{Lemma}
\crefname{lem}{lemma}{lemmata}
\newtheorem*{nlem}{Lemma}
\newtheorem{cor}[thm]{Corollary}
\newtheorem*{ncor}{Corollary}
\newtheorem{prop}[thm]{Proposition}
\newtheorem*{nprop}{Proposition}
%----
%use for definitions and examples
\theoremstyle{generalpurposedef}
\newtheorem{bsp}[thm]{Example}
\newtheorem*{nbsp}{Example}
\newtheorem{defn}[thm]{Definition}
\newtheorem{ndefn}{Definition}
\newtheorem{rem}[thm]{Remark}
\newtheorem{remdef}[thm]{Remark/Definition}
\newtheorem*{nrem}{Remark}
\newtheorem{probl}{Problem}
\crefname{probl}{problem}{problem}
\newtheorem*{goal}{Goal}
\newtheorem{reminder}[thm]{Reminder}
%-----
%use for solutions of exercises
\theoremstyle{generalpurposedef}
\newtheorem{sol}{Solution}[section]
\crefname{sol}{solution}{solution}
\newtheorem{gsol}[sol]{Lösung}
\crefname{gsol}{Lösung}{Lösungen}



%------
%numbers equation within lectures
\usepackage{chngcntr}
\counterwithin{equation}{lecture}
